Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.bayes.net.search.local
Class RepeatedHillClimber

    java.lang.Object
      weka.classifiers.bayes.net.search.SearchAlgorithm
          weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
              weka.classifiers.bayes.net.search.local.HillClimber
                  weka.classifiers.bayes.net.search.local.RepeatedHillClimber

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

    public class RepeatedHillClimber

extends HillClimber

RepeatedHillClimber searches for Bayesian network structures by repeatedly generating a random network and apply hillclimber on it. The best network found is returned.

Author:
  Remco Bouckaert (rrb@xm.co.nz) Version: $Revision: 1.2.2.1 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`TAGS_SCORE_TYPE`

Constructor Summary
`RepeatedHillClimber()`

Method Summary
`java.lang.String[]` | `getOptions()` Gets the current settings of the search algorithm.
`int` | `getRuns()`
`int` | `getSeed()`
`java.lang.String` | `globalInfo()` This will return a string describing the classifier.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`java.lang.String` | `runsTipText()`
`java.lang.String` | `seedTipText()`
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `setRuns(int nRuns)` Sets the number of runs
`void` | `setSeed(int nSeed)` Sets the random number seed

Methods inherited from class weka.classifiers.bayes.net.search.local.HillClimber
`getInitAsNaiveBayes, getMaxNrOfParents, getUseArcReversal, setInitAsNaiveBayes, setMaxNrOfParents, setUseArcReversal, useArcReversalTipText`

Methods inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`buildStructure, calcNodeScore, calcScoreWithExtraParent, calcScoreWithMissingParent, getMarkovBlanketClassifier, getScoreType, logScore, markovBlanketClassifierTipText, scoreTypeTipText, setMarkovBlanketClassifier, setScoreType`

Methods inherited from class weka.classifiers.bayes.net.search.SearchAlgorithm
`initAsNaiveBayesTipText, maxNrOfParentsTipText, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeatedHillClimber

    public RepeatedHillClimber()

Method Detail

### getRuns

    public int getRuns()

  Returns:
    number of runs

### setRuns

    public void setRuns(int nRuns)

  Sets the number of runs

  Parameters:
    `nRuns` - The number of runs to set

### getSeed

    public int getSeed()

  Returns:
    random number seed

### setSeed

    public void setSeed(int nSeed)

  Sets the random number seed

  Parameters:
    `nSeed` - The number of the seed to set

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `HillClimber`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  For other options see search algorithm.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `HillClimber`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the search algorithm.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `HillClimber`
  Returns:
    an array of strings suitable for passing to setOptions

### globalInfo

    public java.lang.String globalInfo()

  This will return a string describing the classifier.

  Overrides:
    `globalInfo` in class `HillClimber`
  Returns:
    The string.

### runsTipText

    public java.lang.String runsTipText()

  Returns:
    a string to describe the Runs option.

### seedTipText

    public java.lang.String seedTipText()

  Returns:
    a string to describe the Seed option.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD